abstract class VasatModel<T> {

  int id;
  String name;
  String desc;
  bool active;
  int dateMade;
  int dateUpdated;


  VasatModel({Map<String, dynamic> json}) {
    if (json != null) {
      id = json['id'];
      name = json['name'];
      desc = json['desc'];
      active = json['active'];
      dateMade = json['dateMade'];
      dateUpdated = json['dateUpdated'];
    }
  }

  T fromJson(Map<String, dynamic> json);

  Map<String, dynamic> toJson() {
    return {
      "name": name,
      "desc": desc,
      "active": active,
      "dateMade": dateMade,
      "dateUpdated": dateUpdated
    };
  }

}