import 'vasat_model.dart';

class Session extends VasatModel<Session> {

  String token;
  String tokenType;
  int expiry;

  Session({this.token, this.tokenType, this.expiry});

  /*
  factory Session.fromJson(Map<String, dynamic> json) {
    return Session(
      token: json['access_token'],
      tokenType: json['token_type'],
      expiry: int.parse(json['expires_in']),
    );
  }
   */

  @override
  Map<String, dynamic> toJson() {
    return {
      "access_token": token,
      "token_type": tokenType,
      "expires_in": expiry.toString()
    };
  }

  @override
  Session fromJson(Map<String, dynamic> json) {
    return Session(
      token: json['access_token'],
      tokenType: json['token_type'],
      expiry: int.parse(json['expires_in']),
    );
  }

}